using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class UpgradeNuke : UpgradeButton {

	protected override int CostForLevel() {
		return (int)(1000 * Mathf.Pow(2, (gm.nukeDamage/20f)));
	}

	override public void Clicked() {
		if(gm.score < CostForLevel())
			return;

		gm.score -= CostForLevel();

		gm.nukeDamage += 20;
	}

	override protected string UpgradeName() {
		return "Increase nuke damage to "+ (gm.nukeDamage+20).ToString("f0") +"%.";
	}

}
